// テキスト画面圧縮記録２用コードカウント

#include "defines.h"
#include "getput3.h"

void counttext3(int sx,int sy,int ex,int ey,unint count[CMAX])
/* sx,sy,ex,ey : テキスト座標で与えること */
{
unsint cur;
	/* カーソルoff */
	cur=curmode(0);
	/* 画面上領域内のコード出現回数カウント */
	Tcount(count,TPLANE0+sx+sy*16*128,(ex-sx+1),(ey-sy+1)*16);
	/* カーソル復帰 */
	curmode(cur);
	/* 出現回数の多いもの順にソート */
	qusort1(count,CMAX);
}
